Package org.bukkit.entity

# Enum Class Warden.AngerLevel

java.lang.Object
java.lang.Enum<Warden.AngerLevel>
org.bukkit.entity.Warden.AngerLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<Warden.AngerLevel>`, `Constable`

Enclosing interface:
  Warden

public static enum Warden.AngerLevel extends Enum<Warden.AngerLevel>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AGITATED`
Anger level 40-79.
`ANGRY`
Anger level 80 or above.
`CALM`
Anger level 0-39.

## Method Summary

Modifier and Type
Method
Description
`static Warden.AngerLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Warden.AngerLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CALM

public static final Warden.AngerLevel CALM
Anger level 0-39.

### AGITATED

public static final Warden.AngerLevel AGITATED
Anger level 40-79.

### ANGRY

public static final Warden.AngerLevel ANGRY
Anger level 80 or above.

## Method Details

### values

public static Warden.AngerLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Warden.AngerLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null